Audit
Get the latest site audit and the audit quota
The audit the application shows on its Improvements page: status, progress,
scores and, once completed, a summary of what fixing it involves.
exists: false for a site that was never audited; quota is always
present. Nothing is launched or consumed.
GET
/
profiles
/
{profile_id}
/
audit
Error
A valid request URL is required to generate request examples{
"data": {
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exists": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"progress": 50,
"pages_total": 1,
"pages_crawled": 1,
"health_score": 123,
"editorial_score": 123,
"summary": {
"blog_pages": 1,
"pages_passing": 1,
"pages_with_issues": 1,
"total_issues": 1,
"issues": {
"high": 1,
"medium": 1,
"low": 1
},
"rewrite_pages": 1,
"targeted_pages": 1,
"advice_pages": 1,
"ready_pages": 1,
"fixed_pages": 1,
"bulk_fix_credits": 1
},
"quota": {
"limit": 1,
"used": 1,
"remaining": 1,
"renews_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": {
"profile_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"exists": true,
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"progress": 50,
"pages_total": 1,
"pages_crawled": 1,
"health_score": 123,
"editorial_score": 123,
"summary": {
"blog_pages": 1,
"pages_passing": 1,
"pages_with_issues": 1,
"total_issues": 1,
"issues": {
"high": 1,
"medium": 1,
"low": 1
},
"rewrite_pages": 1,
"targeted_pages": 1,
"advice_pages": 1,
"ready_pages": 1,
"fixed_pages": 1,
"bulk_fix_credits": 1
},
"quota": {
"limit": 1,
"used": 1,
"remaining": 1,
"renews_at": "2023-11-07T05:31:56Z"
},
"created_at": "2023-11-07T05:31:56Z",
"completed_at": "2023-11-07T05:31:56Z"
},
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
